/*!
  @file rx_fltk_opengl.cpp
	
  @brief FLTKOpenGL
 
  @author Makoto Fujisawa
  @date   2011-08
*/

#ifdef _DEBUG
#pragma comment(lib, "fltkd.lib")
//#pragma comment(lib, "fltkformsd.lib")
#pragma comment(lib, "fltkgld.lib")
#pragma comment(lib, "fltkimagesd.lib")
#pragma comment(lib, "fltkjpegd.lib")
#pragma comment(lib, "fltkpngd.lib")
#pragma comment(lib, "fltkzlibd.lib")
#else
#pragma comment(lib, "fltk.lib")
//#pragma comment(lib, "fltkforms.lib")
#pragma comment(lib, "fltkgl.lib")
#pragma comment(lib, "fltkimages.lib")
#pragma comment(lib, "fltkjpeg.lib")
#pragma comment(lib, "fltkpng.lib")
#pragma comment(lib, "fltkzlib.lib")
#endif

#pragma comment(lib, "glew32.lib")
#pragma comment (lib, "cudart.lib")
#pragma comment (lib, "cudpp.lib")

#ifdef _DEBUG
#pragma comment (lib, "cutil32D.lib")
#else
#pragma comment (lib, "cutil32.lib")
#endif

//#pragma comment(linker, "/subsystem:\"windows\" /entry:\"mainCRTStartup\"")


//-----------------------------------------------------------------------------
// CN[ht@C
//-----------------------------------------------------------------------------
#include "rx_fltk_window.h"

//-----------------------------------------------------------------------------
// `/萔
//-----------------------------------------------------------------------------
extern vector<string> g_vDefaultFiles;

//-----------------------------------------------------------------------------
// C֐
//-----------------------------------------------------------------------------
/*!
 * C[`
 * @param[in] argc R}hC̐
 * @param[in] argv R}hC
 */
int main(int argc, char *argv[])
{
	// R}hC
	if(argc >= 2){
		for(int i = 1; i < argc; ++i){
			string fn = argv[i];
			g_vDefaultFiles.push_back(fn);
		}
	}

	glutInit(&argc, argv);
	glewInit();

    Fl::visual(FL_DOUBLE | FL_RGB);
    Fl::get_system_colors();
    fl_register_images();
    Fl::scheme("gtk+");

	rxFlWindow win(480, 480, "opengl application");
	return Fl::run();
}


